public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/merlin/
Date: Sun, 17 Nov 2024 15:21:14 +0000 (UTC)	[thread overview]
Message-ID: <1731856066.7ff37a84a99a9a50e29855a1c63245e3750adc6f.tupone@gentoo> (raw)

commit:     7ff37a84a99a9a50e29855a1c63245e3750adc6f
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 17 15:07:46 2024 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sun Nov 17 15:07:46 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ff37a84

dev-ml/merlin: add 4.14

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/merlin/Manifest           |   2 +
 dev-ml/merlin/merlin-4.14.ebuild | 118 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 120 insertions(+)

diff --git a/dev-ml/merlin/Manifest b/dev-ml/merlin/Manifest
index 53f177d649a7..95446cef9e54 100644
--- a/dev-ml/merlin/Manifest
+++ b/dev-ml/merlin/Manifest
@@ -1 +1,3 @@
 DIST merlin-4.13-414.tbz 1993752 BLAKE2B 8b5704252f771ddac843340bf2aa24f62a2b490f6bb03c46a1daa2560fae72226b92fb5a9720b18c82f476571e7e6ffc7c30e695c8a0e1a3de6bd65ee58461e1 SHA512 cf7e292a515122756bd614eedbf11cc09108e6afab77cd5805428207b3ca5a98494ee43ad59fcfb667b48fe0874f0a8359882b3c14ee270769f99c41e176d455
+DIST merlin-4.14-414.tar.gz 2463721 BLAKE2B 07d3fae8a4115b39bf035b8550d65447fee0758adb802ce1efa6e2a9ca2a64d433154e48c6d54af125e11ce8d65b7d4e30f1bf2f4414ac3e37cf05bd9b0ded03 SHA512 aad9a9937c53ede4bc45912ef03b9eb655f5a8a25c9893588baab6aec06a0ed7b4827a5228fe8f4495f7b66067b87adf917e6c868c9ff6a88d34982e7db84240
+DIST merlin-4.14-502.tar.gz 3872595 BLAKE2B 81c85101a696e85dd66f5ebc155c578715d30a8abf49e222c50ae09bfa2cc7086cfbcd1a89e611edd2382a844063bfd8ffd7c07c381b94e56db5576a6029fbea SHA512 92120a6b2d7d833519afee223b59980516828ff25d3df24edf64af3ba2f2f38395bb61440d9171d746b287f2de538643e38f8ada5f21ff1a0a56b365a39f814d

diff --git a/dev-ml/merlin/merlin-4.14.ebuild b/dev-ml/merlin/merlin-4.14.ebuild
new file mode 100644
index 000000000000..1e27f6798620
--- /dev/null
+++ b/dev-ml/merlin/merlin-4.14.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# TODO: vim-plugin, although it's not clear how to make it work here
+inherit elisp-common dune edo
+
+DESCRIPTION="Context sensitive completion for OCaml in Vim and Emacs"
+HOMEPAGE="https://github.com/ocaml/merlin/"
+SRC_URI="
+	https://github.com/ocaml/merlin/archive/refs/tags/v${PV}-414.tar.gz
+	-> ${P}-414.tar.gz
+	https://github.com/ocaml/merlin/archive/refs/tags/${PV}-502_preview2.tar.gz
+	-> ${P}-502.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="emacs +ocamlopt test"
+
+# Tests fail unexpectedly on Tinderbox. See https://bugs.gentoo.org/933857
+# RESTRICT="!test? ( test )"
+RESTRICT="test"
+
+RDEPEND="
+	<dev-lang/ocaml-5
+	>=dev-lang/ocaml-4.14.1
+	>=dev-ml/dune-2.9:=
+	>=dev-ml/yojson-2.0.0:=
+	dev-lang/ocaml:=[ocamlopt?]
+	dev-ml/csexp:=
+	dev-ml/menhir:=
+	emacs? (
+		>=app-editors/emacs-23.1:*
+		app-emacs/auto-complete
+		app-emacs/company-mode
+	)
+"
+DEPEND="
+	${RDEPEND}
+"
+# NOTICE: Block dev-ml/seq (which is a back-port of code to ocaml <4.07)
+# because it breaks merlin builds.
+# https://github.com/ocaml/merlin/issues/1500
+BDEPEND="
+	!!<dev-ml/seq-0.3
+	dev-ml/findlib
+	test? (
+		app-misc/jq
+	)
+"
+
+SITEFILE="50${PN}-gentoo.el"
+
+src_unpack() {
+	default
+
+	if has_version "=dev-lang/ocaml-4.14*" ; then
+		edo mv "${P}-414" "${S}"
+	elif has_version "=dev-lang/ocaml-5.2*" ; then
+		edo mv "${P}-502_preview2" "${S}"
+	else
+		die "Currently installed version of OCaml is not yet supported"
+	fi
+}
+
+src_prepare() {
+	default
+
+	# Handle ELisp installation via the Emacs Eclass.
+	rm emacs/dune || die
+
+	# This test runs only inside a git repo,
+	# it is not included in merlin release for ocaml 4.12.
+	if [[ -f tests/test-dirs/occurrences/issue1404.t ]] ; then
+		rm tests/test-dirs/occurrences/issue1404.t || die
+	fi
+	rm -r tests/test-dirs/locate/context-detection/cd-mod_constr.t || die
+
+	# Remove seq references from dune build files.
+	sed -i 's|seq||g' src/frontend/ocamlmerlin/dune || die
+
+	# Remove Menhir requirement.
+	# > MenhirLib.StaticVersion.require_20201216
+	sed -i src/ocaml/preprocess/parser_raw.ml \
+		-e "s|MenhirLib.StaticVersion.require_.*|()|g" \
+		|| die
+}
+
+src_compile() {
+	dune_src_compile
+
+	if use emacs ; then
+		# iedit isn't packaged yet
+		rm emacs/merlin-iedit.el || die
+
+		BYTECOMPFLAGS="-L emacs" elisp-compile emacs/*.el
+	fi
+}
+
+src_install() {
+	dune_src_install
+
+	if use emacs ; then
+		elisp-install ${PN} emacs/*.el{,c}
+		elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+	fi
+}
+
+pkg_postinst() {
+	use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+	use emacs && elisp-site-regen
+}


             reply	other threads:[~2024-11-17 15:21 UTC|newest]

Thread overview: 48+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-17 15:21 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-27 18:52 [gentoo-commits] repo/gentoo:master commit in: dev-ml/merlin/ Maciej Barć
2024-12-27 18:52 Maciej Barć
2024-11-17 21:08 Alfredo Tupone
2024-07-17 20:27 Maciej Barć
2024-06-09 21:22 Maciej Barć
2024-06-09 21:22 Maciej Barć
2024-06-08 23:11 Maciej Barć
2024-02-08 10:31 Maciej Barć
2024-02-08 10:31 Maciej Barć
2024-02-08 10:31 Maciej Barć
2023-10-09  7:35 Maciej Barć
2023-10-09  7:35 Maciej Barć
2023-08-27 12:42 Maciej Barć
2023-08-27 12:42 Maciej Barć
2023-08-27 12:42 Maciej Barć
2023-08-10 22:19 Maciej Barć
2023-02-12 13:28 Alfredo Tupone
2022-11-29 23:58 Maciej Barć
2022-11-29 23:58 Maciej Barć
2022-11-29 23:58 Maciej Barć
2022-11-29 23:58 Maciej Barć
2022-11-29 23:58 Maciej Barć
2022-11-28 20:33 Maciej Barć
2022-10-23  8:14 Maciej Barć
2022-09-25 19:01 Maciej Barć
2022-07-23  0:06 Maciej Barć
2022-07-22  2:26 Maciej Barć
2022-06-21  1:53 Sam James
2022-06-08 20:27 Maciej Barć
2022-04-12 21:43 Maciej Barć
2022-01-26  7:55 Alfredo Tupone
2022-01-16 10:35 Alfredo Tupone
2021-10-17 14:54 Alfredo Tupone
2021-10-07  6:23 Alfredo Tupone
2021-09-29  7:13 Alfredo Tupone
2021-09-28 20:43 Alfredo Tupone
2021-06-21 22:36 Sam James
2021-05-10 17:09 Alfredo Tupone
2021-03-20  1:15 Sam James
2021-03-19 10:24 Sam James
2017-10-04  8:02 Alexis Ballier
2017-08-06  7:40 Alexis Ballier
2017-07-29 10:06 Alexis Ballier
2017-07-25 18:14 Alexis Ballier
2017-06-15  8:49 Alexis Ballier
2017-04-25 17:32 Alexis Ballier
2017-04-03 10:22 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1731856066.7ff37a84a99a9a50e29855a1c63245e3750adc6f.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox